/**
	Autonomous Actor:
	Autonmous Actor contains the data gathering capabilities for an individual
	Actor to learn about its surroundings (in terms of processing speed and
	message sending speed).  The Peer Theater uses this information to determine
	when and if to migrate Autonomous Actors around IO.

	Author: Travis Desell
	Last Modified: 9/20/2002
*/

package io.random.language;

import salsa.language.*;
import salsa.naming.UAN;
import salsa.naming.UAL;

public class RandomActor extends Actor {
	public RandomActor() {
		super();
	}

	public RandomActor(UAN uan) {
		super(uan);
	}

	public RandomActor(UAL ual) {
		super(ual);
	}
}
