package io.srandom.messaging; 

import io.core.messaging.PeerTheater;
import io.random.messaging.RandomHandler;
import io.random.messaging.RandomProtocolHandler;
import io.srandom.decision.SRandomDecisionAgent;

public class SRandomPeerTheater extends PeerTheater {

	public SRandomPeerTheater() {
		super();
	}

	public static void main(String[] args) {
		getInstance().decider = new SRandomDecisionAgent( getInstance() );
		getInstance().ioHandler = new RandomHandler( getInstance() );
		getInstance().protocolHandler = new RandomProtocolHandler( getInstance() );

		getInstance().start(args);
	}
}
