/** SALSA/World Wide Computer Project
 *  ObjectHandler recieves incoming objects
 *  and determines if they are actors or messages.
 *  upon recieving actors, it will start them up.
 *  messages get sent to the appropriate actor.
 *
 *  author Travis Desell
 */
package io.random.messaging;

import java.net.*;
import java.io.*;
import java.util.Hashtable;
import java.util.Vector;
import salsa.language.*;
import wwc.messaging.Theater;
import io.core.messaging.TheaterLocator;
import io.core.messaging.IOTheater;
import io.core.messaging.PersistentIOHandler;
import io.random.decision.RandomDecisionAgent;

public class RandomHandler extends PersistentIOHandler {
	public RandomHandler() {
	}

//	public void process() {
//		super.process();
//	}


	public void processActor(ActorState incoming, Socket in) {
		super.processActor(incoming, in);

		((RandomDecisionAgent) ((IOTheater)ServiceFactory.getTheater()).getDecisionAgent()).stealTerminated();
	}
}
